# novaclient.v2.agents module

agent interface

class novaclient.v2.agents.Agent(manager, info, loaded=False, resp=None)

  Bases: `Resource`

  Populate and bind to a manager.

  Parameters:

    - manager – BaseManager object

    - info – dictionary representing resource attributes

    - loaded – prevent lazy-loading if set to True

    - resp – Response or list of Response objects

class novaclient.v2.agents.AgentsManager(api)

  Bases: `ManagerWithFind`

  create(os, architecture, version, url, md5hash, hypervisor)

    Create a new agent build.

  delete(id)

    Deletes an existing agent build.

    Parameters:

      id – The agent’s id to delete

    Returns:

      An instance of novaclient.base.TupleWithMeta

  list(hypervisor=None)

    List all agent builds.

  resource_class

    alias of `Agent`

  update(id, version, url, md5hash)

    Update an existing agent build.

this page last updated: 2026-07-15 14:18:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug